
QGIS Application - Bug report #1278

Layer transparence in tif format fails

2008-09-03 01:31 PM - Gerhard Spieles

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11338

Description

geo-referenced tif images appears black when change transparence in layer properity.

History

#1 - 2008-09-03 01:44 PM - Maciej Sieczka -

Can you attach a small example?

#2 - 2008-09-18 12:44 PM - ersts -

Hi gespiel! Sorry you are having problems.

geo-referenced tif images appears black when change transparence in layer properity.

To me the uniformly gray display, as shown in the PDF example, makes me think you need to apply an enhance or "stretch" to the image.

1) Does your tif look correct outside of QGIS? 

2) When the transparency is 0% does your image look correct/as you expect? 

3) How was your tif georeferenced? Did you use the QGIS plugin? (if yes, can you explain the setting you used)

Is it possible to post a copy of your tif?

#3 - 2008-09-22 01:44 PM - Gerhard Spieles

Hi,

outside Qgis, the tif-iamges look ok.

Attached are two tif images. Adding raster Layer without change trasparency, both images look ok in Qgis. Change transparence of the image

b_plan_fell_kortsfuhr.tif is ok.

change tranparence in the rasterlayer of image b_plan_klostergarten-geo.tif, the image get grey, change agains to transparence 0%, the image get black.

#4 - 2008-09-22 01:57 PM - Gerhard Spieles

Sorry,

tif images are zip-compressed near 600 kB, so upload is not possible.

Can you tell me email ontact.
#5 - 2008-09-22 02:02 PM - ersts -

you can send them to ersts

at amnh.org

#6 - 2009-02-15 07:18 AM - ersts -

- Status changed from Open to In Progress

Can we get a confirmation that this is still a problem in the Version 1.0.0 release?

#7 - 2009-02-17 01:48 PM - Gerhard Spieles

Hello Ersts,

thank for looking to the problem.

In Qgis 1.0, preview II, the problem is nearly solved. In "one Band color tifs", transparency of the white colour is shown in gray.

You can solve this by looking to the color-table and add the colour 0.0 (white) and 1.0 (grey) to the tranparent pixel list.

I couldnt test it on version 1.0 stabble, because the MSVC based build of QGIS terminates with a dll-fault in Windows. (i have Qgis strictly isntalled to the

wiki.qgis.org installation guide)

#8 - 2009-02-19 05:16 AM - ersts -

Replying to [comment:8 gespiel]:

In "one Band color tifs", transparency of the white colour is shown in gray.

I am sorry but I don't understand. If you change the layer's transparency, all colors will change. Is there a dark layer under the white region?

You can solve this by looking to the color-table and add the colour 0.0 (white) and 1.0 (grey) to the tranparent pixel list.

How many pixel values do you have? Is it just that you don't want 0 and 1 to be shaded?

#9 - 2009-04-20 05:58 AM - Paolo Cavallini

Please gespiel, could you test again with 1.0.1? I cannot reproduce your problem, so it might have been fixed. If so, please close it.

#10 - 2009-04-29 10:07 PM - Paolo Cavallini

According to our new bug policy, I'm closing this, pending feedback from the user. In case it is still valid, please reopen it. Sorry for the additional trouble.

#11 - 2009-04-29 10:07 PM - Paolo Cavallini
- Resolution set to invalid

- Status changed from In Progress to Closed

Files

qgis_transparenz_tif.pdf 176 KB 2008-09-03 Gerhard Spieles

b_plan_fell_kortsfuhr.tfw 95 Bytes 2008-09-22 Gerhard Spieles

b_plan_klostergarten-geo.tfw 95 Bytes 2008-09-22 Gerhard Spieles
